id: adfinity-panel

info:
  name: Adfinity Login Panel - Detect
  author: righettod
  severity: info
  description: |
    Adfinity products was detected.
  reference:
    - https://easi.net/en/solutions/adfinity
  metadata:
    max-request: 1
    verified: true
    shodan-query: http.html:"Adfinity"
  tags: panel,adfinity,login

http:
  - method: GET
    path:
      - "{{BaseURL}}/adfinity/login"

    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains_any(to_lower(body), "adfinity web application", "adfinity web access", "csrf_adfinity_token")'
        condition: and

    extractors:
      - type: regex
        part: body
        group: 1
        regex:
          - '(?i)Version\s+Adfinity([0-9.]+)'
# digest: 4a0a00473045022100898644add739318ea2afacd5a9c988cdb072b31ce22f645d5a1582ac0c61d8d5022028f0b66b519061070828c30221985fd640b52c96ba64ba51a7973eed7f4e7c68:922c64590222798bb761d5b6d8e72950